From a9423bb8536070e14f85fe9cee6d1dc84d7a7874 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Fri, 30 Mar 2018 09:42:46 +0200
Subject: [PATCH] handle set_document_locator event (#3)

---
 t/01_basic.t | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/t/01_basic.t b/t/01_basic.t
index 546014c..99c2bbc 100644
--- a/t/01_basic.t
+++ b/t/01_basic.t
@@ -3,8 +3,14 @@ use strict;
 our $AUTOLOAD;
 use Data::Dumper;
 use Test::More;
+use XML::LibXML;
 
 my @EVENTS = (
+    ($XML::LibXML::VERSION >= 2.0129 ?
+    {
+        Event => 'set_document_locator'
+    }
+    : ()),
     {
         Event => 'start_document'
     },
@@ -108,9 +114,11 @@ sub AUTOLOAD {
 
 package main;
 use strict;
-use Test::More( tests => 23 );
+use Test::More;
 use XML::SAX;
 
+plan tests => $XML::LibXML::VERSION >= 2.0129 ? 25 : 23;
+
 XML::SAX->add_parser( q{XML::LibXML::SAX::ChunkParser} );
 
 {
@@ -140,4 +148,4 @@ XML::SAX->add_parser( q{XML::LibXML::SAX::ChunkParser} );
         diag("parsing chunk '$chunk'");
         $parser->parse_chunk($chunk);
     }
-}
\ No newline at end of file
+}
